import { PUBLIC_URLS } from '../config/public-endpoints';
import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { chatBotClick, userClickLogin } from '../util/gtm/tags-collection';

/**
 * onClick listener for the sign-on button accross pages
 */
const initSignInClickEventListener = () => {
  $('.secondary-button').on('click', function() {
    // currently only tracking the root page with GTM
    if (location.pathname === '/') {
      pushTagToGTM(userClickLogin)
    }

    window.open(PUBLIC_URLS.login, '_blank');
  });
}

/**
 * book a cos-transportation typeform
 */
const initTransportationClickEventListener = () => {
  $('.transport').on('click', function(e) {
    e.preventDefault();

    window.open(PUBLIC_URLS.typeformBookTransportation, '_blank');
  });
};

/**
 * open career page
 */
const initCareerButtonClickEventListener = () => {
  $('.primary-button-2').on('click', function() {
    window.open(PUBLIC_URLS.careerPage, '_blank');
  });
};

/**
 * tracking chat bot click's
 */
const initTrackChatBotClick = () => {
  $('.bs-chatbot-fab__nJAOV').on('click', function() {
    // only tracking the root page for now;
    if (location.pathname === '/') {
      pushTagToGTM(chatBotClick);
    }
  });
};

export const sharedClickEvents = (() => ({
  init: function () {
    initTransportationClickEventListener();
    initCareerButtonClickEventListener();
    initTrackChatBotClick();
    initSignInClickEventListener();
  }
}))();
